EZ_GetItemWidth(3)

NAME
EZ_GetItemWidth, EZ_GetItemHeight, EZ_GetItemDimension, EZ_GetItemPosition, EZ_SetItemDimension, EZ_SetItemHeight, EZ_SetItemPosition, EZ_SetItemWidth - set/retrieve the geometry of a display item

SYNOPSIS
#include <EZ.h>

int  EZ_GetItemHeight(EZ_Item *item);
int  EZ_GetItemWidth(EZ_Item *item);
void EZ_GetItemDimension(EZ_Item *item, int * w_ret, int *h_ret)
void EZ_GetItemPosition(EZ_Item *item, int *x_ret, int *y_ret)
void EZ_SetItemDimension(EZ_Item *item, int w, int h)
void EZ_SetItemHeight(EZ_Item *item, int h);
void EZ_SetItemPosition(EZ_Item *item, int x, int y)
void EZ_SetItemWidth(EZ_Item *item",int w)

ARGUMENTS
item Specifies a display item.

x,y Specify the coordinates of the upper-left corner of the display item.

x_ret,y_ret Specify the returns for the coordinates of the upper-left corner of the display item.

w,h Specify the width and height for the display item.

w_ret,h_ret Specify the returns for the width and height for the display item.

DESCRIPTION

All these functions are self explanatory. They set or retrieve the geometric info of a display item.

These functions are intended for writing the geometry managers for the work-area widget.

SEE ALSO
EZ_CreateItem(3)